Create Quick Quote

This request creates a Quick Quote.

   Click here to learn more about this request

LoanPro's Quick Quote feature allows users to calculate the entire life of a loan without committing to saving and activating the account. This tool is useful for providing comprehensive quotes to borrowers without incurring the potential costs of deleting and archiving accounts. Note the following when creating Quick Quote accounts:

Quick Quote accounts can be converted to live accounts. To convert a Quick Quote to a live account, use the PUT Convert a Quick Quote to a Live Account request.

Quick Quote accounts are like standard loan accounts but with a self-destruct timer. If a Quick Quote is not converted to a live account within 24 hours of its creation, the account will be automatically deleted.

This request requires only the LoanSetup object. But other objects can be added if desired. The information stored in objects such as LoanSettings and Collateral do not affect the calculation values of a loan. Thus, they're not required for creating a Quick Quote.

For an example of how creating a Quick Quote works within the UI, take a look at our Quick Quote article.

Database

For information regarding loan database tables, see the following articles:

Database – Loan Table (loan_entity)

Database – Loan Setup (loan_setup_entity)

Database – Loan Settings Entity (loan_settings_entity)

{
    "temporaryAccount": 1,
    "LoanSetup": {
        "loanAmount": "10000.00",
        "discount": "500.00",
        "underwriting": "0.00",
        "loanRate": "12.0212",
        "loanRateType": "loan.rateType.annually",
        "loanTerm": "36",
        "contractDate": "2022-02-17",
        "firstPaymentDate": "2022-03-17",
        "amountDown": "0.00",
        "reserve": "5.00",
        "salesPrice": "12000",
        "gap": "1120",
        "warranty": "2500",
        "dealerProfit": "1000",
        "taxes": "125.25",
        "creditLimit": "15500",
        "loanClass": "loan.class.carLoan",
        "loanType": "loan.type.installment",
        "scheduleTemplate": "0",
        "discountSplit": "1",
        "paymentFrequency": "loan.frequency.monthly",
        "calcType": "loan.calcType.simpleInterest",
        "daysInYear": "loan.daysInYear.frequency",
        "interestApplication": "loan.interestApplication.betweenTransactions",
        "begEnd": "loan.begend.end",
        "firstPeriodDays": "loan.firstPeriodDays.frequency",
        "firstDayInterest": 0,
        "discountCalc": "loan.discountCalc.rebalancing",
        "diyAlt": "loan.diyAlt.no",
        "daysInPeriod": "loan.daysinperiod.24",
        "roundDecimals": "5",
        "lastAsFinal": "loan.lastasfinal.no",
        "curtailPercentBase": "loan.curtailpercentbase.loanAmount",
        "nddCalc": "loan.nddCalc.standard",
        "endInterest": "loan.endInterest.no",
        "feesPaidBy": "loan.feesPaidBy.date",
        "graceDays": "5",
        "lateFeeType": "loan.lateFee.3",
        "lateFeeAmount": "30.00",
        "lateFeePercent": "10.00",
        "lateFeeCalc": "loan.lateFeeCalc.standard",
        "lateFeePercentBase": "loan.latefeepercentbase.regular",
        "paymentDateApp": "loan.pmtdateapp.actual",
        "maxInterestAmount": "0",
        "financeChargeAsMIA": 1,
        "EscrowCalculators": {
            "results": [
                {
                    "entityType": "Entity.Loan",
                    "subset": 1,
                    "term": 36,
                    "total": 100,
                    "percentBase": "loan.escrowPercentBase.loanAmount",
                    "proRate1st": "loan.escrowProrateFirst.none",
                    "extendFinal": "loan.escrowextendfinal.no",
                    "disclosureLnAmtAdd": 0,
                    "paymentApplication": "loan.escrowpmtapp.percentfixed"
                }
            ]
        },
        "ScheduleRolls": {
            "results": [
                {
                    "term": 3,
                    "rate": "5",
                    "solveUsing": "loan.rollScheduleSolve.dollar",
                    "amount": "150.00",
                    "percent": 0,
                    "advancedTerms": 0,
                    "solveFor": "loan.rollScheduleSolveFor.payment",
                    "balance": 0,
                    "forceBalloon": 0
                }
            ]
        }
    }
}
{
    "temporaryAccount": 1,
    "LoanSetup": {
        "temporaryAccount": 1,
        "loanAmount": "10000.00",
        "loanRate": "4.5",
        "loanClass": "loan.class.carLoan",
        "loanType": "loan.type.installment",
        "contractDate": "2022-05-07",
        "firstPaymentDate": "2022-05-14"
    }
}
Body Params
int32
required

This determines whether the loan is created as a temporary, Quick Quote account. Set this field to 1 to create a Quick Quote account.

LoanSetup
object
required

This object contains all of the fields that determine the setup of the loan terms.

ScheduleRolls
object

This object holds configurable payment schedule information. This object is optional.

EscrowCalculator
object

This object holds escrow calculator information. This object is optional.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json